Day: September 14, 2004

palmOne Zire 31 Review

Product Requirements:Device:Windows 98/2000/ME or XP, Macintosh running Mac OS 9, version 9.2.2 or Mac OS X, version 10.2 or 10.3 I’ve owned a LOT of handhelds over the years…starting with the early  wonderful Apple Newton, progressing to the first Windows CE HPCs, and so on right up the food chain. I also have owned a fewPalm handhelds …

palmOne Zire 31 ReviewRead More »